QtWebEngine 5.11.3:Requested OpenGL implementation is not supported: Implementation: 0



  • We started to see the following error for both QPA EGLFS and Wayland-EGL after we upgraded to QT5.11.3 for QT 5.9.3 where EGL and GLESv2 are supposed to be used, i.e. kGLImplementationEGLGLES2.

    Platform: TI AM57xx EVM
    OS: Linux Kernel 4.19

    QT5 Configuration
    EGL .................................... yes
    OpenVG ................................. no
    OpenGL:
    Desktop OpenGL ....................... no
    OpenGL ES 2.0 ........................ yes
    OpenGL ES 3.0 ........................ no
    OpenGL ES 3.1 ........................ no
    OpenGL ES 3.2 ........................ no
    Vulkan ................................. no
    Session Management ..................... no
    Features used by QPA backends:
    evdev .................................. yes
    libinput ............................... yes
    INTEGRITY HID .......................... no
    mtdev .................................. no
    tslib .................................. no
    xkbcommon-evdev ........................ no
    QPA backends:
    DirectFB ............................... no
    EGLFS .................................. yes
    EGLFS details:
    EGLFS OpenWFD ........................ no
    EGLFS i.Mx6 .......................... no
    EGLFS i.Mx6 Wayland .................. no
    EGLFS RCAR ........................... no
    EGLFS EGLDevice ...................... no
    EGLFS GBM ............................ yes
    EGLFS VSP2 ........................... no
    EGLFS Mali ........................... no
    EGLFS Raspberry Pi ................... no
    EGL on X11 ........................... no
    LinuxFB ................................ yes

    Any suggestions how to debug this issue will be highly appreciated!

    Best regards,

    Eric Ruei


Log in to reply